import { StiModelService } from "./model.service";
import { StiDraggableService } from "./sti-draggable.service";
import { StiHelperService } from "./sti-helper.service";
import { StiNameService } from "./sti-name.service";
import * as i0 from "@angular/core";
export declare class FormEventsService {
    model: StiModelService;
    helper: StiHelperService;
    draggableService: StiDraggableService;
    nameService: StiNameService;
    static dateToJsonDate(date: Date): string;
    get canMoveUp(): boolean;
    get currentPage(): import("stimulsoft-forms").StiFormPageElement;
    get canMoveDown(): boolean;
    get canDelete(): boolean;
    get canClear(): boolean;
    deleteComponent(): void;
    moveUp(): void;
    moveDown(): void;
    insertAfter(): void;
    insertBefore(): void;
    clear(): void;
    delete(): void;
    constructor(model: StiModelService, helper: StiHelperService, draggableService: StiDraggableService, nameService: StiNameService);
    static ɵfac: i0.ɵɵFactoryDeclaration<FormEventsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FormEventsService>;
}
